* Instruktioner för hur man kommer igång med bitbucket http://rivta.se/bitbucket/git-sourcetree.html
# [Till wiki](https://bitbucket.org/rivta-domains/best-practice/wiki)
# [Till ärendehantering](https://bitbucket.org/rivta-domains/riv.supportprocess.serviceprovisioning.healthcareoffering/issues)
# [Till VIFO-kartan](http://www.inera.se/Documents/TJANSTER_PROJEKT/Arkitektur_och_regelverk/vifo_kartan_2013-01-01.pdf)
# [Senaste TKB]()

Generate source for Java
-----------------------------------------------------------------------
The purpose is to give producer- and consumer projects that use Java and Maven a head-start for setting up the build system to generate JAX-WS binding classes.

The maven build uses the cxf wsdl2java tool. The generated binding classes will be fine to use with whatever JAXWS2 webstack you are using in runtime.
This is guaranteed by the JSR-181, which defines exactly how the classes should be generated from wsdl and service schemas.
There are several problems with the corresponding tool supplied by the JDK (the metro wsimport tool).

How to build binding classes:

    1) Install the maven build automation tool (http://maven.apache.org)
    2) Open a command prompt and go to the code_gen/jaxws directory
    3) Run the following command: mvn clean package

You will now have the generated java classes compiled and packaged into a jar file under the target directory.

    Please look at the RIV TA BP 2.1 reference application for a complete example with a producer and consumer:
JAX-WS: https://bitbucket.org/rivta-profiles/refapp-rivtabp21-cxf/

WCF: https://bitbucket.org/rivta-profiles/refapp-rivtabp21-wcf/
	

Generate source for .NET
-----------------------------------------------------------------------


# Test suites
